nl.tudelft.simulation.examples.dsol.dess

## Class DESSModel

- java.lang.Object
- - nl.tudelft.simulation.examples.dsol.dess.DESSModel

All Implemented Interfaces:
  Serializable, DSOLModel<Double,Double,SimTimeDouble>, DSOLModel.TimeDouble

    public class DESSModel
    extends Object
    implements DSOLModel.TimeDouble

Copyright (c) 2002-2018 Delft University of Technology, Jaffalaan 5, 2628 BX Delft, the Netherlands. All rights reserved.

See for project information www.simulation.tudelft.nl.

Author:
  Alexander Verbraeck
See Also:
  Serialized Form

### Nested Class Summary

### Nested classes/interfaces inherited from interface nl.tudelft.simulation.dsol.DSOLModel

`DSOLModel.CalendarDouble, DSOLModel.CalendarFloat, DSOLModel.CalendarLong, DSOLModel.TimeDouble, DSOLModel.TimeDoubleUnit, DSOLModel.TimeFloat, DSOLModel.TimeFloatUnit, DSOLModel.TimeLong`

### Constructor Summary

Constructors
Constructor and Description
`DESSModel()` constructs a new DESSModel.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `constructModel(SimulatorInterface<Double,Double,SimTimeDouble> pSimulator)`
`XYChart` `getDistanceChart()`
`Persistent<Double,Double,SimTimeDouble>` `getDistancePersistent()`
`SimulatorInterface.TimeDouble` `getSimulator()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DESSModel

    public DESSModel()

constructs a new DESSModel.

### Method Detail

#### constructModel

    public void constructModel(SimulatorInterface<Double,Double,SimTimeDouble> pSimulator)

Specified by:
  `constructModel` in interface `DSOLModel<Double,Double,SimTimeDouble>`

#### getSimulator

    public SimulatorInterface.TimeDouble getSimulator()

Specified by:
  `getSimulator` in interface `DSOLModel<Double,Double,SimTimeDouble>`

#### getDistanceChart

    public final XYChart getDistanceChart()

Returns:
  chart

#### getDistancePersistent

    public final Persistent<Double,Double,SimTimeDouble> getDistancePersistent()

Returns:
  distancePersistent